# -*- coding: utf-8 -*-
# Generated by Django 1.9.3 on 2016-03-04 09:40
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Assignee',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('assignee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='assignee_id', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Permission',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('allow_access', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('deny_access', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='deny_access_user', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Precondition',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('condition', models.CharField(max_length=100, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='State',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100)),
                ('is_start', models.BooleanField(default=False)),
                ('is_end', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='Stateconnect',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('action', models.CharField(max_length=100)),
                ('next_state', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='next_state_id', to='workflowapp.State')),
                ('state_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='workflowapp.State')),
            ],
        ),
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=50, null=True)),
                ('description', models.TextField(max_length=300)),
                ('is_active', models.BooleanField(default=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('current_state', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='workflowapp.State')),
            ],
        ),
        migrations.CreateModel(
            name='Workflow',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100)),
                ('description', models.TextField(max_length=300)),
                ('tasktitle', models.CharField(max_length=100, null=True)),
            ],
        ),
        migrations.AddField(
            model_name='task',
            name='workflow_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='workflowapp.Workflow'),
        ),
        migrations.AddField(
            model_name='stateconnect',
            name='workflow_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='workflowapp.Workflow'),
        ),
        migrations.AddField(
            model_name='state',
            name='workflow_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='workflowapp.Workflow'),
        ),
        migrations.AddField(
            model_name='precondition',
            name='state_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='workflowapp.State'),
        ),
        migrations.AddField(
            model_name='permission',
            name='task_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='workflowapp.Task'),
        ),
        migrations.AddField(
            model_name='assignee',
            name='task_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='workflowapp.Task'),
        ),
    ]
